## Index

### Enumerations

- CheckboxState

### Classes

- Checkbox
- CheckboxChange
- CheckboxExportedTests
- CheckboxModule

### Type aliases

- CheckboxValue

### Object literals

- defaults

## Type aliases

### CheckboxValue

CheckboxValue: boolean | "on" | "off"

- Defined in src/checkbox/checkbox.types.ts:1

## Object literals

### Const defaults

defaults: object

- Defined in src/checkbox/checkbox-exported-tests.ts:7

### selectors

selectors: object

- Defined in src/checkbox/checkbox-exported-tests.ts:8

### input

input: string = "input"

- Defined in src/checkbox/checkbox-exported-tests.ts:10

### root

root: string = "ibm-checkbox"

- Defined in src/checkbox/checkbox-exported-tests.ts:9

Generated using TypeDoc